$OpenBSD: patch-lib_pj-gs_sh,v 1.1 2004/10/24 20:58:47 brad Exp $
--- lib/pj-gs.sh.orig	Thu Mar  9 03:40:40 2000
+++ lib/pj-gs.sh	Sun Oct 24 16:53:30 2004
@@ -241,6 +241,7 @@ do
 			then
 				/usr/lib/lprcat $Nofilter $Nolabel $file PCL1 $user $dev
 			else
+				TEMPFILE=`mktemp -t pjXXXXXXXXXX` || exit 1
 				type=`file $file | sed 's/^[^:]*..//'`
 				case "$type" in
 				postscript*)
@@ -251,22 +252,22 @@ do
 #
 #					gs -q -sDEVICE=paintjet -r180 -sOutputFile=- -dDISKFONTS -dNOPAUSE - < $file 2>/tmp/sh$$
 
-					gs -q -sDEVICE=paintjet -r180 -sOutputFile=/tmp/pj$$ -dDISKFONTS -dNOPAUSE - < $file 1>2
-					cat /tmp/pj$$
-					rm /tmp/pj$$
+					gs -q -sDEVICE=paintjet -r180 -sOutputFile=$TEMPFILE -dDISKFONTS -dNOPAUSE - < $file 1>2
+					cat $TEMPFILE
+					rm $TEMPFILE
 					needff=
 					;;
-				*)	cat "$file" 2>/tmp/sh$$
+				*)	cat "$file" 2>$TEMPFILE
 					needff=1
 					;;
 				esac
 
-				if [ -s /tmp/sh$$ ]
+				if [ -s $TEMPFILE ]
 				then
 #				    cat /tmp/sh$$	# output any errors
-				    cat /tmp/sh$$ 1>2	# output any errors
+				    cat $TEMPFILE 1>2	# output any errors
 				fi
-				rm -f /tmp/sh$$
+				rm -f $TEMPFILE
 				if [ $needff ]; then echo "\014\r\c"; fi
 			fi
 
